org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider

## Interface IMergeViewerItemProviderConfiguration

All Known Implementing Classes:
  MergeViewerItemProviderConfiguration

    public interface IMergeViewerItemProviderConfiguration

The configuration used by `IMergeViewerItemContentProvider`s.

Since:
  4.4

### Method Summary

All Methods Instance Methods Abstract Methods
`AdapterFactory` `getAdapterFactory()` Get the `AdapterFactory`.
`Comparison` `getComparison()` Get the `Comparison`.
`com.google.common.base.Predicate<? super EObject>` `getDifferenceFilterPredicate()` Get the difference filter `Predicate`.
`IDifferenceGroupProvider` `getDifferenceGroupProvider()` Get the `IDifferenceGroupProvider`.
`IMergeViewer.MergeViewerSide` `getSide()` Get the `IMergeViewer.MergeViewerSide`.

### Method Detail

#### getAdapterFactory

    AdapterFactory getAdapterFactory()

Get the `AdapterFactory`.

Returns:
  the `AdapterFactory`,

#### getDifferenceGroupProvider

    IDifferenceGroupProvider getDifferenceGroupProvider()

Get the `IDifferenceGroupProvider`.

Returns:
  the `IDifferenceGroupProvider`.

#### getDifferenceFilterPredicate

    com.google.common.base.Predicate<? super EObject> getDifferenceFilterPredicate()

Get the difference filter `Predicate`.

Returns:
  the difference filter `Predicate`.

#### getComparison

    Comparison getComparison()

Get the `Comparison`.

Returns:
  the `Comparison`.

#### getSide

    IMergeViewer.MergeViewerSide getSide()

Get the `IMergeViewer.MergeViewerSide`.

Returns:
  the `IMergeViewer.MergeViewerSide`.